Plugins
Plugin List
List all plugins that are installed on the instance.
List all plugins that are installed on the instance.
GET
/pluginsAuthorization
browser storyden-session<token>
In: cookie
Response Body
application/json
application/json
curl -X GET "https://loading/api/plugins"{
"plugins": [
{
"id": "cc5lnd2s1s4652adtu50",
"added_at": "2019-08-24T14:15:22Z",
"name": "string",
"description": "string",
"version": "string",
"status": {
"active_state": "inactive",
"deactivated_at": "2019-08-24T14:15:22Z"
},
"manifest": {},
"connection": {
"mode": "supervised"
}
}
]
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Plugin Get Logs GET
Stream logs for a supervised plugin. If the plugin is running, this endpoint streams live logs after existing log history is sent. External plugins do not have host-managed logs and this endpoint returns a bad request error for external mode.
Plugin Set Active State PATCH
Change the active state of a plugin. This operation only applies to supervised plugins. - `active`: starts the supervised plugin process. - `inactive`: stops the supervised plugin process. External plugins cannot be managed with this endpoint and will return a bad request error.